DicomConnection

Functions to access DICOM connection parameters that are managed by the Orthanc core. More...

## Typedefs

typedef struct _OrthancPluginDicomConnection_t | OrthancPluginDicomConnection
| Opaque structure that represents the parameters of a DICOM connection.

## Functions

const char * | OrthancPluginGetConnectionCalledAet (OrthancPluginContext *context, const OrthancPluginDicomConnection *connection)
| Get the called AET of a DICOM connection.
const char * | OrthancPluginGetConnectionRemoteAet (OrthancPluginContext *context, const OrthancPluginDicomConnection *connection)
| Get the remote AET of a DICOM connection.
const char * | OrthancPluginGetConnectionRemoteIp (OrthancPluginContext *context, const OrthancPluginDicomConnection *connection)
| Get the remote IP of a DICOM connection.

## Detailed Description

## Function Documentation

## OrthancPluginGetConnectionCalledAet()

const char * OrthancPluginGetConnectionCalledAet | ( | OrthancPluginContext * | context,
|  | const OrthancPluginDicomConnection * | connection )

This function returns the AET that was called by the remote DICOM modality over a DICOM connection. This corresponds to one of the AETs used by Orthanc.

Parameters

  context | The Orthanc plugin context, as received by OrthancPluginInitialize().
  connection | The connection of interest.

Returns
  The pointer to the called AET, NULL in case of error.

## OrthancPluginGetConnectionRemoteAet()

const char * OrthancPluginGetConnectionRemoteAet | ( | OrthancPluginContext * | context,
|  | const OrthancPluginDicomConnection * | connection )

This function returns the Application Entity Title (AET) of the DICOM modality from which a DICOM connection originates.

Parameters

  context | The Orthanc plugin context, as received by OrthancPluginInitialize().
  connection | The connection of interest.

Returns
  The pointer to the AET, NULL in case of error.

## OrthancPluginGetConnectionRemoteIp()

const char * OrthancPluginGetConnectionRemoteIp | ( | OrthancPluginContext * | context,
|  | const OrthancPluginDicomConnection * | connection )

This function returns the IP of the DICOM modality from which a DICOM connection originates.

Parameters

  context | The Orthanc plugin context, as received by OrthancPluginInitialize().
  connection | The connection of interest.

Returns
  The pointer to the IP, NULL in case of error.